Skip to main content
GET
List customers

Authorizations

X-Juo-Admin-Api-Key
string
header
required

Long-lived Admin API key issued from the Juo merchant portal. Pass as the X-Juo-Admin-Api-Key header.

Headers

X-Tenant-ID
string
required

Unique identifier of the tenant in the system (usually a store identifier)

Query Parameters

query
string

The search query string. See search query language for information how to build the search query. Supported fields are listed here.

limit
integer
default:20

See pagination for more details on how to paginate the results.

Required range: 1 <= x <= 100
after
string

See pagination for more details on how to paginate the results.

Minimum string length: 1
before
string

See pagination for more details on how to paginate the results.

Minimum string length: 1
sort
string
default:id:asc

See sorting for more details on how to sort the results.

Response

Default Response

resource
enum<string>
required
Available options:
list
hasNextPage
boolean
required
hasPrevPage
boolean
required
endCursor
null | string
required
startCursor
null | string
required
data
Customer · object[]
required